;;; Hey, emacs, this file is -*- Mode: common-lisp; -*- ... got that?

;;;
;;; a set of global declations --- various aspects of feature geometry et al.
;;;

(in-package :lkb)

(defparameter *toptype* '*top*)

(defparameter *string-type* '*string*)

(defparameter *orth-path* '(ORTH LIST FIRST))

(defparameter *list-tail* '(REST))

(defparameter *list-head* '(FIRST))

(defparameter *list-type* '*list*)

(defparameter *empty-list-type* '*null*)

(defparameter *non-empty-list-type* '*ne-list*)

(defparameter *diff-list-type* '*dlist*)

(defparameter *diff-list-list* 'list)

(defparameter *diff-list-last* 'last)

(defparameter *display-type-hierarchy-on-load* t)

(defparameter *simple-tree-display* t)

(defparameter *last-parses*
  (let ((symbol (find-symbol "*LAST-PARSES*" :lkb)))
    (if (and (boundp symbol) (rest (symbol-value symbol)))
      (symbol-value symbol)
      '("the dog barks"))))

(defparameter *mother-feature* nil)

(defparameter *start-symbol* '(start-symbol))

(defparameter *morph-rule-type* 'word)

(defparameter  *semantics-index-path* '(SEM INDEX))

(defparameter *simple-tree-display* nil)

(defparameter *label-path* '(LABEL-NAME))

(defparameter *label-fs-path* nil)

(defparameter *label-template-type* 'label)

(defparameter *gen-packing-p* nil)

(defparameter *gen-filtering-p* nil)
